import * as react_jsx_runtime from 'react/jsx-runtime';
import * as react from 'react';
import { ReactNode } from 'react';
import { Crossmint, CustomAuth, CrossmintConfig } from '@crossmint/common-sdk-base';

interface CrossmintContext {
    crossmint: Crossmint;
    experimental_setCustomAuth: (customAuthParams?: CustomAuth) => void;
    experimental_customAuth?: CustomAuth;
    /** @deprecated Use experimental_setCustomAuth instead.*/
    setJwt: (jwt: string | undefined) => void;
}
declare const CrossmintContext: react.Context<CrossmintContext | null>;
declare function CrossmintProvider({ children, apiKey, appId, extensionId, overrideBaseUrl, }: CrossmintConfig & {
    children: ReactNode;
}): react_jsx_runtime.JSX.Element;

export { CrossmintContext, CrossmintProvider };
